Bug 36618 - Enable MSR and CPUID devices in kernel for Crusoe longrun setting
Summary: Enable MSR and CPUID devices in kernel for Crusoe longrun setting
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-19 04:36 UTC by Need Real Name
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-20 08:39:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-04-19 04:36:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; Linux 2.2.14-5.0 i686)


Enabling the MSR and CPUID devices will enable longrun power settings to me
changed with the Transmeta Crusoe processor.

Reproducible: Always
Steps to Reproduce:
1. Boot kernel, look at modules
2.
3.
	

Actual Results:  N/A

Any machine with a Crusoe processor.

Comment 1 Arjan van de Ven 2001-04-19 08:46:34 UTC
We ship those. Just  type modprobe "msr" and modprobe "cpuid"

Comment 2 Arjan van de Ven 2001-04-19 20:29:54 UTC
Can you explain what more you would expect ?

Comment 3 Need Real Name 2001-04-19 23:35:53 UTC
Sorry about the lack of detail, specifically:

In the kernel config for kernel-2.4.2-2 as found in kernel-source-2.4.2-2 in
configs/kernel-2.4.2-i[35]86.config CONFIG_X86_MSR and CONFIG_X86_CPUID are not
set, so /dev/cpu/%d/msr and /dev/cpu/%d/cpuid are not available.

If I modprobe cpuid or msr on kernel-2.4.2-2 I get:
modprobe: Can't locate module msr

WIth those devices available I can run the longrun utility by Daniel Quinlan
<quinlan@transmeta.com> to change the longrun settings on my Crusoe powered
computer.

So I would like to be able to "modprobe msr" and "modprobe cpuid" and perhaps
have the device files available so I can run the longrun utility above.

Comment 4 Arjan van de Ven 2001-04-20 08:29:02 UTC
$ grep MSR *2.4.2*config
kernel-2.4.2-athlon.config:CONFIG_X86_MSR=m
kernel-2.4.2-athlon-smp.config:CONFIG_X86_MSR=m
kernel-2.4.2-i386-BOOT.config:# CONFIG_X86_MSR is not set
kernel-2.4.2-i386.config:# CONFIG_X86_MSR is not set
kernel-2.4.2-i386-smp.config:# CONFIG_X86_MSR is not set
kernel-2.4.2-i586.config:# CONFIG_X86_MSR is not set
kernel-2.4.2-i586-smp.config:# CONFIG_X86_MSR is not set
kernel-2.4.2-i686.config:CONFIG_X86_MSR=m
kernel-2.4.2-i686-enterprise.config:CONFIG_X86_MSR=m
kernel-2.4.2-i686-smp.config:CONFIG_X86_MSR=m

So we have them enabled only for i686. I will correct this and make sure
i586 / i386 have them as module as well.

Are you using the 586 kernel ?

Comment 5 Need Real Name 2001-04-20 08:39:55 UTC
Yep, I am running the kernel selected by the installer which is the i586 kernel.

Comment 6 Arjan van de Ven 2001-04-26 11:43:12 UTC
This is fixed in for the next build. I hope it will be in rawhide soon.


Note You need to log in before you can comment on or make changes to this bug.